Page MenuHomePhabricator

Adding rate-limiter for pppoe server users
Closed, ResolvedPublic

Description

Need adding vyos cli syntax for service pppoe server, I propose next

#set service pppoe-server authentication local-users username <username> rate-limit 
Possible completions:
   download    Set download speed limit (bit/s)
   upload      Set upload speed limit (bit/s)

And add to pppoe.conf section [cli] with params for displaying current user rate-limit

[cli]
sessions-columns=ifname,username,ip,calling-sid,rate-limit,state,uptime,rx-bytes,tx-bytes

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

Dmitry triaged this task as Normal priority.Apr 17 2019, 10:12 PM
Dmitry created this task.
Dmitry created this object in space S1 VyOS Public.
hagbard claimed this task.Apr 17 2019, 10:39 PM

op-mode has been implemented and will be available in the next rolling release. (https://github.com/vyos/vyos-1x/commit/d748e526ca50f3acb98ec511fab977c4b044aea8)
Conf mode commands are in progress.

local-users implementation: https://github.com/vyos/vyos-1x/commit/c1dc93391b9ec1785ab648fa7685521c85774d28
radius based shaper settings in progress, which is then the last item.

hagbard added a comment.EditedApr 23 2019, 5:05 PM

Bugfix: Filter-ID -> Filter-Id

Gonna keep the task open for a week or 2 to see if there are still any other issues.

hagbard changed the task status from Open to On hold.Apr 25 2019, 4:52 PM
hagbard closed this task as Resolved.Apr 29 2019, 5:17 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 6 2019, 4:54 PM
Dmitry reopened this task as Backport candidate.Jan 1 2020, 10:46 AM

We have this feature on our documentation, but not in stable release 1.2.3/1.2.4
https://docs.vyos.io/en/crux/services/pppoe-server.html#radius-based-shaper-setup

I will backport this, unless objections ...

@jestabro yup, go ahead please and let me know when I can close it or if you can you can close as well.

hagbard reassigned this task from hagbard to jestabro.Jan 16 2020, 4:35 PM
hagbard added a subscriber: hagbard.
pasik added a subscriber: pasik.Jan 16 2020, 7:32 PM
jestabro closed this task as Resolved.Wed, Jan 29, 8:52 PM